List VMs
GET
Every VM in your teams that is not deleted, newest first. Pass projectId to list one project's VMs.
apiKeyheader
AuthorizationBearer <hmk_…>An API key from the dashboard or homemade api-key create.
projectId?stringThe VMs.
application/json- response
Every VM you can see that is not deleted, newest first.
vms*array<>curl -X GET 'https://api.homemade.dev/api/vms'Example Response
{ "vms": [ { "agentSignal": { "kind": "attention_required", "message": "string", "setAt": "string" }, "asleepAt": "string", "bootScriptFailure": { "error": "string", "step": "string" }, "branch": "string", "chunkDegraded": true, "costCents": 0, "createdAt": "string", "createdBy": { "id": "string", "image": "string", "name": "string" }, "deepAsleepAt": "string", "diskGb": 0, "editorEnabled": true, "id": "string", "isPreview": true, "lastActiveAt": "string", "linearIssueIdentifier": "string", "linearIssueUrl": "string", "name": "string", "newBuildAvailable": true, "orgSlug": "string", "prNumber": 0, "projectId": "string", "projectName": "string", "projectSlug": "string", "ramMb": 0, "reapAt": "string", "region": "eu", "requestedByVmId": "string", "sleepAfterMinutes": 0, "sleepAt": "string", "slug": "string", "startedAt": "string", "state": "queued", "templateId": "string", "unresponsive": { "reason": "conn_failures", "since": "2019-08-24T14:15:22Z" }, "urls": { "property1": "string", "property2": "string" }, "vcpu": 0 } ]}